using System;
using System.Linq;
using System.Windows;

namespace PropertyChangedTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            this.clubsGrid.Columns[1].Header = "Expand for more details";
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
            var club = this.clubsGrid.Items[1] as Club;
            club.Name = "Man. Utd.";
        }
    }
}
